Community Forums 

Main Content

Re:Expired Security Certificate - URGENT

    May 02 2009 14:04:45

    #1

    magic

    Join date : 2008-12-06      Posts : 13

    It appears to be on the older servers. I am currently doing an emergency test to move to ww6 which appears to be OK but not yet tested.

    Wendi, to access your orders, use Firefox. IE wouldn't let me go any further but Firefox allows me to add an exception and allow me through

    It's going to be fun tomorrow when the rest of the world reaches 2nd May 6:04pm

    I too have never had a problem with Mals. Mals is the best - except for today :)